# Create database connection string (/docs/rest-api/endpoints/databases-connections/post-databases-by-database-id-connections)

> For the complete Prisma documentation index, see [llms.txt](https://www.prisma.io/docs/llms.txt). A markdown version of any docs page is available by appending `.md` to its URL.

Creates a new connection string for the given database.

Location: REST API > Endpoints > Databases Connections > Create database connection string

Creates a new connection string for the given database.

## API reference

### Create database connection string

`POST /v1/databases/{databaseId}/connections`

Creates a new connection string for the given database.

#### Parameters

- `databaseId` (path, string, required)

#### Request body

- `name` (string, required)

#### Responses

- `200`: Created a new connection string for the database.
- `401`: Missing or invalid authorization token.
- `404`: Database with the given ID was not found.

## Related pages

- [`Get list of database connections`](https://www.prisma.io/docs/rest-api/endpoints/databases-connections/get-databases-by-database-id-connections): Returns all connections for the given database.